
/* Find single-use, ad-hoc queries that are bloating the plan cache */
SELECT TOP 100 eST.[text] AS [QueryText]
	, CP.size_in_bytes
FROM sys.dm_exec_cached_plans AS CP
	CROSS APPLY sys.dm_exec_sql_text(CP.plan_handle) eST 
WHERE CP.cacheobjtype = N'Compiled Plan' 
	AND CP.objtype = N'Adhoc' 
	AND CP.usecounts = 1
ORDER BY CP.size_in_bytes DESC;


/* Find most-used ad-hoc queries that are in the plan cache as a target for compiling */
SELECT TOP 100 eST.[text] AS [QueryText]
	, CP.usecounts
FROM sys.dm_exec_cached_plans AS CP
	CROSS APPLY sys.dm_exec_sql_text(CP.plan_handle) eST 
WHERE CP.cacheobjtype = N'Compiled Plan' 
	AND CP.objtype = N'Adhoc'
ORDER BY CP.usecounts DESC;