--================================
--Missing Index Recommendations - sys.dm_db_missing_index_details
--================================
SELECT DDMID.[index_handle], DB_NAME(DDMID.[database_id]) AS [database_name],
	OBJECT_NAME(DDMID.[object_id], DDMID.[database_ID]) AS [object_name],
	DDMID.[equality_columns], DDMID.[inequality_columns], 
	DDMID.[included_columns], DDMID.[statement] 
FROM sys.[dm_db_missing_index_details] AS DDMID; 
GO

/*
Returns missing index recommendations, but no stats associated with it.  
Assigned to an index_handle for reference in Missing Index DMV/Fs.
*/




--================================
--Missing Index Recommendations - sys.dm_db_missing_index_group_stats
--================================
SELECT DDMIGS.[group_handle], DDMIGS.[unique_compiles], 
	DDMIGS.[user_seeks], DDMIGS.[user_scans], DDMIGS.[last_user_seek], DDMIGS.[last_user_scan], 
	DDMIGS.[avg_total_user_cost], DDMIGS.[avg_user_impact], 
	DDMIGS.[system_seeks], DDMIGS.[system_scans], DDMIGS.[last_system_seek], DDMIGS.[last_system_scan], 
	DDMIGS.[avg_total_system_cost], DDMIGS.[avg_system_impact] 
FROM sys.[dm_db_missing_index_group_stats] AS DDMIGS;
GO

/*
In this case we get stats information, but no corellation back to the suggested indexes.  
This info lumped into a "group_handle" to be referenced.
-->  cost = avg cost of queries that could be reduced if query existed
-->  avg_impact = % of drop in cost if index was implemented
*/



--================================
--Missing Index Recommendations - sys.dm_db_missing_index_groups
--================================
SELECT DDMIG.[index_group_handle], DDMIG.[index_handle] 
FROM sys.[dm_db_missing_index_groups] AS DDMIG;
GO

/* Linking table fostering relationship between group_handle and index_handle*/



--================================
--Missing Index Recommendations - sys.dm_db_missing_index_columns
--================================
--Parameter for index_handle of 1 in this example
SELECT * FROM sys.[dm_db_missing_index_columns](<index_handle, int, NULL>) AS DDMIC;
GO

SELECT * FROM sys.[dm_db_missing_index_columns](6) AS DDMIC;
GO

/* Normalized listing of columns and usage for a specific index_handle. */

