USE [IndexBacon];

--================================
--Missing Index Recommendations
--================================

SELECT DB_NAME(DDMID.[database_id]) AS [database_name], 
	DDMID.[index_handle], DDMID.[equality_columns], DDMID.[inequality_columns], 
	DDMID.[included_columns], DDMID.[statement], DDMIGS.[group_handle],
	DDMIGS.unique_compiles, DDMIGS.user_seeks, DDMIGS.avg_total_user_cost,
	DDMIGS.avg_user_impact
FROM sys.[dm_db_missing_index_details] DDMID 
	INNER JOIN sys.[dm_db_missing_index_groups] DDMIG 
		ON DDMID.index_handle = DDMIG.index_handle 
	INNER JOIN sys.[dm_db_missing_index_group_stats] DDMIGS 
		ON DDMIG.index_group_handle = DDMIGS.group_handle
WHERE DDMID.[database_id] = db_id()
ORDER BY 
	(
	DDMIGS.avg_total_user_cost * 
	DDMIGS.avg_user_impact * 
	(DDMIGS.user_seeks + DDMIGS.user_scans)
	) DESC;	
GO