--=================================================
--Last Service Start Time
--=================================================
SELECT oSI.sqlserver_start_time AS oSI_start_time,
	sD.create_date AS sD_start_time,
	sSP.login_time AS sSP_start_time 
FROM sys.dm_os_sys_info oSI
	CROSS JOIN sys.databases sD
	CROSS JOIN sys.sysprocesses sSP
WHERE sD.name = 'tempdb'
 AND sSP.spid = 1;

--=================================================
--Physical v Virtual CPU
--=================================================
SELECT 
	cpu_count as virtual_processors,
	cpu_count/hyperthread_ratio as physical_processors 
FROM sys.dm_os_sys_info;


--=================================================
-- RAM
--=================================================
SELECT 
	physical_memory_in_bytes/1024/1024 AS physical_ram_mb,
	virtual_memory_in_bytes/1024/1024 AS virtual_ram_mb,
	bpool_committed*8/1024 AS bpool_commited_mb,
	bpool_commit_target*8/1024 as bpool_commit_target_mb,
	bpool_visible*8/1024 as bpool_visible_mb 
FROM sys.dm_os_sys_info;


